Skip to content
Docs
Policy Bundle

Revert to the default policies for the calling user

Revert to the default policies for the calling user

client.PolicyBundle.Reset(ctx, body) error
DELETE/policy/bundle

Archives the PolicySet for the calling user (if any), causing subsequent GET /policy/bundle requests to fall back to the default user policies. Idempotent: returns 204 No Content even when no user-scope binding exists.

ParametersExpand Collapse
body PolicyBundleResetParams
XClientRequestID param.Field[string]optional

Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid

Revert to the default policies for the calling user

package main

import (
  "context"

  "github.com/keycardai/keycard-go"
  "github.com/keycardai/keycard-go/option"
)

func main() {
  client := keycard.NewClient(
    option.WithAPIKey("My API Key"),
  )
  err := client.PolicyBundle.Reset(context.TODO(), keycard.PolicyBundleResetParams{

  })
  if err != nil {
    panic(err.Error())
  }
}
Returns Examples